# This is a configuration file for kas that contains the default values for the settings.
# It DOES NOT contain all the possible configuration knobs.
# The source of truth is kascfg.proto.
# It contains all the fields and documentation them.
# If you are looking for a setting, start from the ConfigurationFile message in:
# - the proto file kascfg.proto.
# - the generated documentation in kascfg_proto_docs.md.
# Correctness of this file is enforced by a unit test in kascfg_defaults_test.go.

agent:
  configuration:
    max_configuration_file_size: 131072
    poll_period: 300s
  info_cache_error_ttl: 60s
  info_cache_ttl: 300s
  kubernetes_api:
    allowed_agent_cache_error_ttl: 10s
    allowed_agent_cache_ttl: 60s
    listen:
      address: 0.0.0.0:8154
      listen_grace_period: 5s
      network: tcp
      shutdown_grace_period: 3600s
    url_path_prefix: /
  listen:
    address: 127.0.0.1:8150
    connections_per_token_per_minute: 40000
    listen_grace_period: 5s
    max_connection_age: 7200s
    network: tcp
  receptive_agent:
    poll_period: 60s
  redis_conn_info_gc: 600s
  redis_conn_info_refresh: 240s
  redis_conn_info_ttl: 300s
api:
  listen:
    address: 127.0.0.1:8153
    listen_grace_period: 5s
    max_connection_age: 7200s
    network: tcp
gitaly:
  global_api_rate_limit:
    bucket_size: 70
    refill_rate_per_second: 30
  per_server_api_rate_limit:
    bucket_size: 40
    refill_rate_per_second: 15
gitlab:
  api_rate_limit:
    bucket_size: 250
    refill_rate_per_second: 50
observability:
  event_reporting_period: 300s
  google_profiler: {}
  listen:
    address: 127.0.0.1:8151
    network: tcp
  liveness_probe:
    url_path: /liveness
  logging:
    grpc_level: error
  prometheus:
    url_path: /metrics
  readiness_probe:
    url_path: /readiness
  sentry: {}
  usage_reporting_period: 10s
private_api:
  listen:
    address: :8155
    listen_grace_period: 5s
    max_connection_age: 7200s
    network: tcp
redis:
  dial_timeout: 5s
  key_prefix: gitlab-kas
  network: tcp
  write_timeout: 3s
